EDIT - feature request #4766

Repair Methods for the cdm instance
03/31/2015 01:41 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 90%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.5

Severity: normal

Description

Because of former problems with the creation/updating of treeindex and sortindex, sometimes a subtree can not be displayed.
Therefore we need repair methods, the user can call to update treeindex and sortindex of a tree or a subtree.

The methods already exist for the update script. for integration see #4767

Related issues:

Related to EDIT - bug #6244: Sortindex problems in complex operations like sw... Closed
Related to EDIT - bug #6274: add update of childrenCount cache in repair method Closed
Related to EDIT - bug #6353: Create progress monitors for imports and other I... New
Related to EDIT - feature request #6357: Repair methods improvement New

Associated revisions

Revision 1183a87f - 12/08/2016 11:31 AM - Katja Luther

ref #4766: sortindex updater integration in admin menu

Revision 6a3f4c50 - 12/08/2016 11:34 AM - Katja Luther

ref #4766: prepair the sortindex updater for calling via I0Service

Revision 2¢c4452d9 - 12/08/2016 11:57 AM - Katja Luther

ref #4766: remove apply and restore defaults buttons

History

#1 - 04/14/2015 10:58 AM - Andreas Miiller
- Target version set to cdmlib - Reviewed Next Major Release

- Priority changed from Priority08 to Priority14

#2 - 06/10/2015 01:59 PM - Andreas Miller

we may also integrate this as a validation rule -> #4981

#3 - 12/06/2016 08:49 AM - Katja Luther
- Description updated
- Priority changed from Priority14 to Highest

- Target version changed from Reviewed Next Major Release to Release 4.5

#4 - 12/06/2016 10:01 AM - Andreas Miiller

- Related to bug #6244: Sortindex problems in complex operations like swap synonym and accepted and others added

#5 - 12/08/2016 11:20 AM - Katja Luther
- Subject changed from Repair Methods for the taxon navigator to Repair Methods for the cdm instance

- Assignee changed from Andreas Miiller to Katja Luther

#6 - 12/08/2016 11:21 AM - Katja Luther

we already have update methods for sortindex and titlecache. These functionality needs to be available via the admin menu.
#7 - 12/12/2016 02:52 PM - Katja Luther
- Related to bug #6274: add update of childrenCount cache in repair method added

#8 - 01/17/2017 12:51 PM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 0 to 70

| added the sortindex Updater and the cache updater. Please have a look, if everything works or any suggestions for improving the admin menu.

#9 - 01/19/2017 01:54 PM - Andreas Miiller

- Private changed from Yes to No

#10 - 01/20/2017 01:29 PM - Andreas Miiller

- Related to bug #6353: Create progress monitors for imports and other long running tasks added

#11 - 01/20/2017 01:31 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 70 to 90
This works fine and is a very nice feature.
Some minor issues:
e |s there a reason why you have implemented the CacheUpdater only for 3 classes and not for all IdentifiableEntities? If we do the later we should
have in mind that the order of the updaters is important. E.g. authors should be updated before references and before taxon names, etc.
¢ |t looks like you start a new progress monitor for each task. If this is true we should change it in a way that they become subtasks
e once #6353 us fixed we should integrate the progress monitor accordingly
Feel free to create new tickets for the above. Generally this ticket can be closed as it works.

#12 - 01/20/2017 02:26 PM - Katja Luther

- Related to feature request #6357: Repair methods improvement added

#13 - 01/20/2017 02:26 PM - Katja Luther
- Status changed from Feedback to Closed
